<?php
/**
 *
 * @author	Ahmad Rasyid Ismail "ahrasis" http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mods	SRAVC - Separate Replies And Views Column
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function SRAVC_Displays(&$buffer)
{
	global $context, $modSettings, $scripturl, $settings, $txt, $topic;
	
	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;

	// Define the old and the new	
	$sravc = array();
	if (!empty($modSettings['sravc_enable']) && (function_exists('MessageIndex') || function_exists('QuickModeration')))
	{
		// Are there actually any topics to show?
		if (!empty($context['topics']))
		{
			$before1 = '<th scope="col" width="14%">';
			$after1 = '<th style="display:none;">';
			$sravc[$before1] = $after1;
			
			$before2 = '<th scope="col" class="lefttext last_th" width="22%">';
			$after2 = '<th scope="col" class="centertext" width="7%"><a href="' . $scripturl . '?board=' . $context['current_board'] . '.' . $context['start'] . ';sort=replies' . ($context['sort_by'] == 'replies' && $context['sort_direction'] == 'up' ? ';desc' : '') . '">' . $txt['replies'] . ($context['sort_by'] == 'replies' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '') . '</a></th>
							<th scope="col" class="centertext" width="7%"><a href="' . $scripturl . '?board=' . $context['current_board'] . '.' . $context['start'] . ';sort=views' . ($context['sort_by'] == 'views' && $context['sort_direction'] == 'up' ? ';desc' : '') . '">' . $txt['views'] . ($context['sort_by'] == 'views' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '') . '</a></th>
							<th scope="col" class="lefttext last_th" width="22%">';
			$sravc[$before2] = $after2;

			$before3 = '<th scope="col" class="lefttext" width="22%">';
			$after3 = '<th scope="col" class="centertext" width="7%"><a href="' . $scripturl . '?board=' . $context['current_board'] . '.' . $context['start'] . ';sort=replies' . ($context['sort_by'] == 'replies' && $context['sort_direction'] == 'up' ? ';desc' : '') . '">' . $txt['replies'] . ($context['sort_by'] == 'replies' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '') . '</a></th>
							<th scope="col" class="centertext" width="7%"><a href="' . $scripturl . '?board=' . $context['current_board'] . '.' . $context['start'] . ';sort=views' . ($context['sort_by'] == 'views' && $context['sort_direction'] == 'up' ? ';desc' : '') . '">' . $txt['views'] . ($context['sort_by'] == 'views' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '') . '</a></th>
							<th scope="col" class="lefttext" width="22%">';
			$sravc[$before3] = $after3;
		}

		if (!empty($settings['display_who_viewing']))
		{
			$before4 = '<td colspan="' . !empty($context['can_quick_mod']) ? '6' : '5' . '" class="smalltext">';
			$after4 = '<td colspan="' . !empty($context['can_quick_mod']) ? '7' : '6' . '" class="smalltext">';
			$sravc[$before4] = $after4;
		}
		
		if (!empty($context['can_quick_mod']) && $options['display_quick_mod'] == 1 && !empty($context['topics']))
		{
			$before5 = '<td colspan="6" align="right">';
			$after5 = '<td colspan="7" align="right">';
			$sravc[$before5] = $after5;
		}

		foreach ($context['topics'] as $topic)
		{
			// Is this topic pending approval, or does it have any posts pending approval?
			if ($context['can_approve_posts'] && $topic['unapproved_posts'])
				$color_class = !$topic['approved'] ? 'approvetbg' : 'approvebg';
			// We start with locked and sticky topics.
			elseif ($topic['is_sticky'] && $topic['is_locked'])
				$color_class = 'stickybg locked_sticky';
			// Sticky topics should get a different color, too.
			elseif ($topic['is_sticky'])
				$color_class = 'stickybg';
			// Locked topics get special treatment as well.
			elseif ($topic['is_locked'])
				$color_class = 'lockedbg';
			// Last, but not least: regular topics.
			else
				$color_class = 'windowbg';

			// Some columns require a different shade of the color class.
			$alternate_class = $color_class . '2';

			$before6 = '						<br />';
			$after6  = '						</td>
					<td class="stats ' . $color_class . '">';
			$sravc[$before6] = $after6;
		}

	}
	// Now let's change them, if we're allowed to
	return str_replace(array_keys($sravc), array_values($sravc), $buffer);
}

function SRAVC_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('SRAVC');
	// Add setting(s)
	$sravc = array(
			array('check', 'sravc_enable'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $sravc);
}
?>